org.apache.nutch.indexwriter.solr

## Class SolrIndexWriter

- java.lang.Object
- - org.apache.nutch.indexwriter.solr.SolrIndexWriter

- All Implemented Interfaces:
    Configurable, IndexWriter, Pluggable

      public class SolrIndexWriter
      extends Object
      implements IndexWriter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `documentCount`
    `static org.slf4j.Logger` | `LOG`

    - ### Fields inherited from interface org.apache.nutch.indexer.IndexWriter

      `X_POINT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrIndexWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commit()`
    `void` | `delete(String key)`
    `String` | `describe()` Returns a String describing the IndexWriter instance and the specific parameters it can take
    `Configuration` | `getConf()`
    `static IOException` | `makeIOException(org.apache.solr.client.solrj.SolrServerException e)`
    `void` | `open(Configuration conf)`
    `void` | `setConf(Configuration conf)`
    `void` | `update(NutchDocument doc)`
    `void` | `write(NutchDocument doc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

    - #### documentCount

          protected static long documentCount

  - ### Constructor Detail

    - #### SolrIndexWriter

          public SolrIndexWriter()

  - ### Method Detail

    - #### open

          public void open(Configuration conf)
                    throws IOException

      Specified by:
        `open` in interface `IndexWriter`
      Throws:
        `IOException`

    - #### write

          public void write(NutchDocument doc)
                     throws IOException

      Specified by:
        `write` in interface `IndexWriter`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `IndexWriter`
      Throws:
        `IOException`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`

    - #### delete

          public void delete(String key)
                      throws IOException

      Specified by:
        `delete` in interface `IndexWriter`
      Throws:
        `IOException`

    - #### update

          public void update(NutchDocument doc)
                      throws IOException

      Specified by:
        `update` in interface `IndexWriter`
      Throws:
        `IOException`

    - #### commit

          public void commit()
                      throws IOException

      Specified by:
        `commit` in interface `IndexWriter`
      Throws:
        `IOException`

    - #### makeIOException

          public static IOException makeIOException(org.apache.solr.client.solrj.SolrServerException e)

    - #### describe

          public String describe()

      Description copied from interface: `IndexWriter`
      Returns a String describing the IndexWriter instance and the specific parameters it can take
      Specified by:
        `describe` in interface `IndexWriter`

Copyright © 2015 The Apache Software Foundation